TK\_BRIEF(1)

 April 2003" "tk_Brief "

NAME
tk-Brief is a graphical user interface for writing single or multiple letters with latex. Even begginers are able to use it without a long time of learning.

SYNOPSIS
tk_Brief [ -a an ] [ -N name ] [ -str street ] [ -o city ] [ -dir directory ] [ -fax faxnumber ] [ -h ] [ filename ]

DESCRIPTION
tk_Brief generates a <filename>.tex file using a <filename>.text file and the input from the input fields. There are different letter styles inplemented, e.g. g-brief. Although it was originally written for the german letter norm, it can create an english or durch letter style. The labels can occur in English of Dutch language. tk_Brief is written in Tcl/Tk and therefor available on many platforms.

OPTIONS

-h  Short Help for tk_Brief.

-a to
    Commandline option for 'to' field.

-N name
    Commandline option for 'name field.

-str street
    Commandline option dor 'street' field.

-o city
    Commandline option for the 'city' field.

-dir directory
    Starting directory.

-fax faxnumber
    Commandline option for the 'faxnumber' field..

BUTTONS

Exit
    Exits tk_Brief and saves configurations in ${HOME}/.serienbrief

Configuration
    Here are the senders and the layout for the letter style configured.

Edit Text
    Using the external editor (default 'jed') edits the letter test and is saved in the file <filename>.text.

Spell checking
    Using the configured spell checker (default 'ispell') <filename>.text is checked.

TeX-file
    The LaTeXfile can be observed.

Latex
    Compiling the File.

Preview
    Compiling the file and viewing it with the configured viewer (default

Print
    Compiling the file and printing it with the configured print command (default 'lpr -Plaser').

Multiple letters
    tk_Brief enteres multiple letter mode.

Send fax
    Converting the file into g3 and send the fax using sendfax.

Clear
    All temporary files are deleted.

MULTIPLE LETTERS

In multiple letter mode input the addresses using 'Edit Addresses' in the following format:

<to>;<name: >;<street>;<PLZ city>[;<opening>]
<to>;<name: >;<street>;<PLZ city>[;<opening>]
<to>;<name: >;<street>;<PLZ city>[;<opening>]
<to>;<name: >;<street>;<PLZ city>[;<opening>]

into the file <filename>.adresses. tk_Brief formats the addresses and saves them into <filename>.adr_ok. The <filename>.tex files are generated using the addresses. <opening> is optional. 'Preview' and 'Print' enters a warning mode because of the number of files.

For the later printing 'Generate PostScript' can be used. The PostScript files are numbered <filename><NR>.ps.

REQUIREMENTS

g-brief

pslatex

tcl/tk

FILES

$HOME/.serienbrief
    configuration file for tk_Brief

<filename>.text
    letter text

<filename>.tex
    generated LaTeXfile

<filename>.adresses
    address file for multiple letters

<filename>.adr_ok
    formatted address file for multiple letters

SEE ALSO
LaTeX, dvips (1), ispell (1), lpr (1), sendfax (1), gs (1)

LICENSE

Copyright (C) 1998 [Ralf Müller] This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR

Ralf Müller
Rüppurrer Straße 104
D-76137 Karlsruhe
Email: ralf@deres-mueller.de
WWW: http://www.deres-mueller.de/tk_Brief